'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const tocolor = require('@barelyhuman/tocolor');

const _process = (percentage, color) => {
  const normalisedHex = tocolor.parseToHex(color);
  const { h, s, l } = tocolor.hexToHSL(normalisedHex);
  try {
    return tocolor.parseToHex(tocolor.hslToHex(h, s, l + percentage));
  } catch (err) {
    return normalisedHex;
  }
};
function tint(color) {
  return (percentage) => _process(percentage, tocolor.parseToHex(color));
}

exports.tint = tint;
